locked
Unable to install hotfix package 2 for AppV 5 SP1 (KB2897087) RRS feed

  • Question

  • Good afternoon,

    We've downloaded hotfix package 2 for AppV 5 SP1 (KB2897087) but when going to install we receive the message "The Application Virtualization update setup did not finish because the target version of App-V Server is not installed".

    What we have installed on server is the following:

    - Microsoft App-v Server 5.0.285.0

    - Microsoft App-V Server 5.0.1104.0 Service Pack 1

    So we have SP1 installed. Has anyone else had this issue? Is there another patch / update that needs to be applied first?

    Thanks

    Wednesday, January 29, 2014 3:14 PM

Answers

All replies

  • Hello,

    If you check under %TEMP% - are there any log-files that provide additional information?


    Nicke Källén | The Knack| Twitter: @Znackattack

    Wednesday, January 29, 2014 3:21 PM
  • Hi,

    I get the following under an appv_server_patch log file:

    [10F0:07DC][2014-01-29T15:31:24]: Burn v3.6.2803.0, Windows v6.1 (Build 7601: Service Pack 1), path: -KB2897087.exe, cmdline: '-burn.unelevated BurnPipe.{3AF7A429-681C-4D96-BF99-F51728DBA9B1} {209380CC-EA1F-441C-8515-041C255D6504} 3928'
    [10F0:07DC][2014-01-29T15:31:24]: Initializing string variable 'IsBundlePatchOnly' to value '1'
    [10F0:07DC][2014-01-29T15:31:24]: Initializing string variable 'TargetBaselineVersion' to value '5.0.1104.0'
    [10F0:07DC][2014-01-29T15:31:24]: Setting string variable 'WixBundleLog' to value 'C:\Users\~1\AppData\Local\Temp\appv_server_patch_20140129153124.log'
    [10F0:07DC][2014-01-29T15:31:24]: Setting string variable 'WixBundleOriginalSource' to value 'KB2897087.exe'
    [10F0:07DC][2014-01-29T15:31:24]: Setting string variable 'WixBundleName' to value 'Hotfix for Microsoft App-V Server 5.0.1218.0 Service Pack 1 (KB2897087)'
    [10F0:07DC][2014-01-29T15:31:24]: Loading managed bootstrapper application.
    [10F0:07DC][2014-01-29T15:31:25]: Creating BA thread to run asynchronously.
    [10F0:09C4][2014-01-29T15:31:25]: Setting numeric variable 'UNSUPPORTEDLOCALE' to value 1
    [10F0:09C4][2014-01-29T15:31:25]: AppvUX: Found an unsupported locale (2057) for this version of the App-V Bundle installer. Defaulting to the English locale.
    [10F0:09C4][2014-01-29T15:31:25]: AppvUX: Passed all blocking checks.
    [10F0:07DC][2014-01-29T15:31:25]: Detect 13 packages
    [10F0:07DC][2014-01-29T15:31:25]: Detected related bundle: {997a2732-f077-4e9b-adac-a2e7e59787ba}, type: Upgrade, scope: PerMachine, version: 5.0.285.0, operation: MajorUpgrade
    [10F0:07DC][2014-01-29T15:31:25]: AppvUX: A previous version of this product is installed; requesting update.
    [10F0:07DC][2014-01-29T15:31:25]: Detected package: CoreX64Patch, state: Absent, cached: None
    [10F0:07DC][2014-01-29T15:31:25]: Detected package: CoreX64Patch target: {F3C7A461-93F2-4A64-B94A-4FC296775522}, state: Absent
    [10F0:07DC][2014-01-29T15:31:25]: Detected package: AllLangpackX64, state: Absent, cached: None
    [10F0:07DC][2014-01-29T15:31:25]: Detected package: AllLangpackX64 target: {9807F918-9115-4C9C-A30C-C63252083281}, state: Absent
    [10F0:07DC][2014-01-29T15:31:25]: Detected package: EnUsLangpackX64Patch, state: Absent, cached: None
    [10F0:07DC][2014-01-29T15:31:25]: Detected package: EnUsLangpackX64Patch target: {E6FC6D7E-5D76-4053-89BC-373A21998F05}, state: Absent
    [10F0:07DC][2014-01-29T15:31:25]: Detected package: DeDeLangpackX64Patch, state: Absent, cached: None
    [10F0:07DC][2014-01-29T15:31:25]: Detected package: JaJpLangpackX64Patch, state: Absent, cached: None
    [10F0:07DC][2014-01-29T15:31:25]: Detected package: ZhCnLangpackX64Patch, state: Absent, cached: None
    [10F0:07DC][2014-01-29T15:31:25]: Detected package: ZhTwLangpackX64Patch, state: Absent, cached: None
    [10F0:07DC][2014-01-29T15:31:25]: Detected package: EsEsLangpackX64Patch, state: Absent, cached: None
    [10F0:07DC][2014-01-29T15:31:25]: Detected package: FrFrLangpackX64Patch, state: Absent, cached: None
    [10F0:07DC][2014-01-29T15:31:25]: Detected package: ItItLangpackX64Patch, state: Absent, cached: None
    [10F0:07DC][2014-01-29T15:31:25]: Detected package: KoKrLangpackX64Patch, state: Absent, cached: None
    [10F0:07DC][2014-01-29T15:31:25]: Detected package: PtBrLangpackX64Patch, state: Absent, cached: None
    [10F0:07DC][2014-01-29T15:31:25]: Detected package: RuRuLangpackX64Patch, state: Absent, cached: None
    [10F0:07DC][2014-01-29T15:31:25]: AppvUX: Detect phase complete; starting plan phase.
    [10F0:07DC][2014-01-29T15:31:25]: AppvUX: The target product for this update bundle was not found.
    [10F0:09C4][2014-01-29T15:31:26]: AppvUX: Exit status : BaselineNotDetected
    [10F0:07DC][2014-01-29T15:31:26]: Detect complete, result: 0x0
    [10F0:07DC][2014-01-29T15:31:26]: Shutting down, exit code: 0xb
    [10F0:07DC][2014-01-29T15:31:26]: Variable: IsBundlePatchOnly = 1
    [10F0:07DC][2014-01-29T15:31:26]: Variable: TargetBaselineVersion = 5.0.1104.0
    [10F0:07DC][2014-01-29T15:31:26]: Variable: UNSUPPORTEDLOCALE = 1
    [10F0:07DC][2014-01-29T15:31:26]: Variable: WixBundleAction = 4
    [10F0:07DC][2014-01-29T15:31:26]: Variable: WixBundleElevated = 1
    [10F0:07DC][2014-01-29T15:31:26]: Variable: WixBundleLog = C:\Users\~1\AppData\Local\Temp\appv_server_patch_20140129153124.log
    [10F0:07DC][2014-01-29T15:31:26]: Variable: WixBundleName = Hotfix for Microsoft App-V Server 5.0.1218.0 Service Pack 1 (KB2897087)
    [10F0:07DC][2014-01-29T15:31:26]: Variable: WixBundleOriginalSource = KB2897087.exe
    [10F0:07DC][2014-01-29T15:31:26]: Variable: WixBundleProviderKey = {bee44f0f-05be-48e4-81dd-d34a83600b95}
    [10F0:07DC][2014-01-29T15:31:26]: Variable: WixBundleTag =
    [10F0:07DC][2014-01-29T15:31:26]: Exit code: 0xb, restarting: No

    I can see it says BaselineNotDetected but also says the TargetBaselineVersion = 5.0.1104.0 which is what we already have installed?

    Wednesday, January 29, 2014 3:39 PM
  • Hello,

    Do you have both the publishing server and the management server installed on the same server? If so, are both Components upgraded to SP1?


    Nicke Källén | The Knack| Twitter: @Znackattack

    Wednesday, January 29, 2014 10:11 PM
  • Morning,

    I believe so but what's the best way of checking this?

    Under Programs and Features I have the following listed:

    Microsoft App-V Server 5.0.285.0

    Microsoft App-V Server 5.0.1104.0 Service Pack 1

    Microsoft App-V Server 5.0.1104.0 Service Pack 1 All Language Pack

    Microsoft App-V Server 5.0.1104.0 Service Pack 1 en-US Language Pack

    Under Sites in IIS we have:

    Microsoft App-V Managment Service

    Microsoft App-V Publishing Service

    Microsoft App-V Reporting Service

    Thanks

    Thursday, January 30, 2014 10:23 AM
  • Hello,

    What happens if you uninstall all the Components, and then directly install using SP1 media, and then try to apply the patch?


    Nicke Källén | The Knack| Twitter: @Znackattack

    Thursday, January 30, 2014 3:42 PM